Subject: RE: [rohc] Formal notation, what is it?

From: "Price, Richard" <[email-masked]>
Date: Thu, 6 Mar 2003 16:10:11 -0000

> Hi all,
> 
> During the last week, we have had an extensive discussion about the
> formal notation, trying to get a common understanding. After reading
> both the draft and some recent posts, I have started to wonder whether
> we all mean that it is just a notation, i.e. a system of symbols,
> characters, etc, to describe something in a formal way. One could
> maybe call that a kind of language.
> 
> This is how I have seen the formal notation, as a language, a tool,
> for describing how header fields are to be compressed. When defining
> a new compression profile, the notation (language) would then be used
> to describe how to compress e.g. TCP fields. What is described in a
> profile specification, using (at least to some part) the 
> formal notation would then constitute an implementable profile.

This is exactly my understanding of how the notation should be used ;-)

> Note that the notation itself would not be something that would be
> implementable.

I don't understand the above statement.  The notation is a language,
so it's possible to implement a compiler which converts (say) a
description of TCP/IP written in the notation into executable code.

> Of course, the various mechanisms described by the notation could be
> implemented, but not the notation itself. The notation is not a machine,
> it is a language.

Yes, which is why it's possible to implement a compiler for the notation.

> To me it therefore makes no sense to say that "the notation executes",
> or "the notation calls".

The above might be misleading - for clarity we should say "a description
written using the formal notation calls...".

> The point is that, I believe the notation should be about....
> .....notating, nothing else.

Absolutely.  Would it be possible to point out any specific statements
which seem to contradict the above (particularly if they're in the
notation draft itself)?

Regards,

Richard
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc